# Uses of Enum Class
org.bukkit.entity.FishHook.HookState

Packages that use FishHook.HookState
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of FishHook.HookState in org.bukkit.entity

Methods in org.bukkit.entity that return FishHook.HookState
Modifier and Type
Method
Description
`@NotNull FishHook.HookState`
FishHook.`getState()`
Get the current state of this fish hook.
`static FishHook.HookState`
FishHook.HookState.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FishHook.HookState[]`
FishHook.HookState.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.